Doesn't seem to work on node 0.8.22 or node 0.10.0 #47

Closed
ekristen opened this Issue May 1, 2013 · 6 comments

Comments

Projects
None yet
4 participants

ekristen commented May 1, 2013

See subject?

Owner

obazoud commented May 3, 2013

With 0.8.22 and 0.10.0, I have a hiredis installation problem.

1547 info postuninstall hiredis@0.1.14
1548 error hiredis@0.1.14 preinstall: `make || gmake`
1548 error `sh "-c" "make || gmake"` failed with 127
1549 error Failed at the hiredis@0.1.14 preinstall script.

this is your problem?

obazoud added a commit that referenced this issue May 3, 2013

Owner

obazoud commented Jun 6, 2013

Feel free to re-open if you have question.

@obazoud obazoud closed this Jun 6, 2013

anixan commented Dec 8, 2014

Hi,

I am trying to install this dashboard with node 0.10.33 and I keep getting the following error:

> hiredis@0.1.14 preinstall /home/vagrant/workspace/Dashboard/node_modules/statusdashboard/node_modules/hiredis
> make || gmake

cd deps/hiredis && make static
make[1]: Entering directory `/home/vagrant/workspace/Dashboard/node_modules/statusdashboard/node_modules/hiredis/deps/hiredis'
cc -std=c99 -pedantic -c -O3 -fPIC  -Wall -W -Wstrict-prototypes -Wwrite-strings -g -ggdb net.c
cc -std=c99 -pedantic -c -O3 -fPIC  -Wall -W -Wstrict-prototypes -Wwrite-strings -g -ggdb hiredis.c
cc -std=c99 -pedantic -c -O3 -fPIC  -Wall -W -Wstrict-prototypes -Wwrite-strings -g -ggdb sds.c
cc -std=c99 -pedantic -c -O3 -fPIC  -Wall -W -Wstrict-prototypes -Wwrite-strings -g -ggdb async.c
ar rcs libhiredis.a net.o hiredis.o sds.o async.o
make[1]: Leaving directory `/home/vagrant/workspace/Dashboard/node_modules/statusdashboard/node_modules/hiredis/deps/hiredis'
node-waf configure build
make: node-waf: Command not found
make: *** [all] Error 127
sh: 1: gmake: not found

> ws@0.4.32 install /home/vagrant/workspace/Dashboard/node_modules/statusdashboard/node_modules/socket.io/node_modules/socket.io-client/node_modules/ws
> (node-gyp rebuild 2> builderror.log) || (exit 0)

make: Entering directory `/home/vagrant/workspace/Dashboard/node_modules/statusdashboard/node_modules/socket.io/node_modules/socket.io-client/node_modules/ws/build'
  CXX(target) Release/obj.target/bufferutil/src/bufferutil.o
  SOLINK_MODULE(target) Release/obj.target/bufferutil.node
  SOLINK_MODULE(target) Release/obj.target/bufferutil.node: Finished
  COPY Release/bufferutil.node
  CXX(target) Release/obj.target/validation/src/validation.o
  SOLINK_MODULE(target) Release/obj.target/validation.node
  SOLINK_MODULE(target) Release/obj.target/validation.node: Finished
  COPY Release/validation.node
make: Leaving directory `/home/vagrant/workspace/Dashboard/node_modules/statusdashboard/node_modules/socket.io/node_modules/socket.io-client/node_modules/ws/build'
npm ERR! hiredis@0.1.14 preinstall: `make || gmake`
npm ERR! Exit status 127
npm ERR! 
npm ERR! Failed at the hiredis@0.1.14 preinstall script.
npm ERR! This is most likely a problem with the hiredis package,
npm ERR! not with npm itself.
npm ERR! Tell the author that this fails on your system:
npm ERR!     make || gmake
npm ERR! You can get their info via:
npm ERR!     npm owner ls hiredis
npm ERR! There is likely additional logging output above.

npm ERR! System Linux 3.11.0-15-generic
npm ERR! command "/usr/bin/node" "/usr/bin/npm" "install" "statusdashboard"
npm ERR! cwd /home/vagrant/workspace/Dashboard
npm ERR! node -v v0.10.33
npm ERR! npm -v 1.4.28
npm ERR! code ELIFECYCLE
npm ERR! not ok code 0

I am using the following command to install:

npm install statusdashboard

I have also used this command which asks for a github username and password but doesn't accept it.

npm install git+https://github.com/iobazoud/statusdashboard#master

Any help on this would be much appreciated.

Thanks

Owner

obazoud commented Dec 8, 2014

I update hiredis to 0.1.17.
Could you retry ?

@obazoud obazoud reopened this Dec 8, 2014

jpbriend commented Aug 4, 2015

I validate it works with hiredis@0.1.17. You can close the issue

Owner

obazoud commented Aug 8, 2015

Ok thanks. Closing this issue.

@obazoud obazoud closed this Aug 8, 2015

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment